From f998a44f345f3547dfd072779463abb81673463f Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?David=20Pr=C3=A9vot?= <taffit@debian.org>
Date: Tue, 7 May 2013 19:12:20 -0400
Subject: [PATCH 1/2] Various manpages: ffix

---
 scripts/cvs-debc.1            |    2 +-
 scripts/dcmd.1                |   43 ++++++++++++++++++++---------------------
 scripts/deb-reversion.dbk     |   20 +++++++++----------
 scripts/debc.1                |    2 +-
 scripts/debcommit.pl          |   12 ++++++------
 scripts/debrelease.1          |    6 +++---
 scripts/debrsign.1            |   10 +++++-----
 scripts/debsign.1             |   10 +++++-----
 scripts/dget.pl               |    2 +-
 scripts/mk-build-deps.pl      |    2 +-
 scripts/tagpending.pl         |    2 +-
 scripts/who-permits-upload.pl |   14 +++++++-------
 12 files changed, 62 insertions(+), 63 deletions(-)

diff --git a/scripts/cvs-debc.1 b/scripts/cvs-debc.1
index 8b3f49a..98a399e 100644
--- a/scripts/cvs-debc.1
+++ b/scripts/cvs-debc.1
@@ -7,7 +7,7 @@ cvs-debc \- view contents of a cvs-buildpackage/cvs-debuild generated package
 \fBcvs-debc\fR is run from the CVS working directory after
 \fBcvs-buildpackage\fR or \fBcvs-debuild\fR.  It uses the
 \fBcvs-buildpackage\fR system to locate the \fI.changes\fR file
-generated in that run.  It then displays information about the .deb
+generated in that run.  It then displays information about the \fI.deb\fR
 files which were generated in that run, by running \fBdpkg-deb \-I\fR
 and \fBdpkg-deb \-c\fR on every \fI.deb\fR archive listed in
 the \fI.changes\fR file, assuming that all of the \fI.deb\fR archives
diff --git a/scripts/dcmd.1 b/scripts/dcmd.1
index 30551a1..2195620 100644
--- a/scripts/dcmd.1
+++ b/scripts/dcmd.1
@@ -2,63 +2,62 @@
 .SH NAME
 dcmd \- expand file lists of .dsc/.changes files in the command line
 .SH SYNOPSIS
-\fBdcmd\fR [\fIoptions\fR] [\fIcommand\fR] [\fIchanges-file\fR|\fIdsc-file\fR]
-[\fI...\fR]
+\fBdcmd\fR [\fIoptions\fR] [\fIcommand\fR] [\fIchanges-file\fR|\fIdsc-file\fR] ...
 .SH DESCRIPTION
-\fBdcmd\fR replaces any reference to a .dsc or .changes file in the
+\fBdcmd\fR replaces any reference to a \fI.dsc\fR or \fI.changes\fR file in the
 command line with the list of files in its 'Files' section, plus the
 file itself.  It allows easy manipulation of all the files involved in
-an upload (for changes files) or a source package (for dsc files).
+an upload (for \fI.changes\fR files) or a source package (for \fI.dsc\fR files).
 
-If \fIcommand\fR is omitted (that is the first argument is an existing .dsc
-or .changes file), the expanded list of files is printed to stdout, one file
+If \fIcommand\fR is omitted (that is the first argument is an existing \fI.dsc\fR
+or \fI.changes\fR file), the expanded list of files is printed to stdout, one file
 by line. Useful for usage in backticks.
 .SH OPTIONS
 There are a number of options which may be used in order to select only a
-subset of the files listed in the .dsc or .changes file. If a requested file
+subset of the files listed in the \fI.dsc\fR or \fI.changes\fR file. If a requested file
 is not found, an error message will be printed.
 .TP 14
 .B \-\-dsc
-Select the .dsc file.
+Select the \fI.dsc\fR file.
 .TP
 .B \-\-schanges
-Select .changes files for the 'source' architecture.
+Select \fI.changes\fR files for the 'source' architecture.
 .TP
 .B \-\-bchanges
-Select .changes files for binary architectures.
+Select \fI.changes\fR files for binary architectures.
 .TP
 .B \-\-changes
-Select .changes files. Implies \-\-schanges and \-\-bchanges.
+Select \fI.changes\fR files. Implies \fB\-\-schanges\fR and \fB\-\-bchanges\fR.
 .TP
 .B \-\-archdeb
-Select architecture-dependent binary packages (.deb files).
+Select architecture-dependent binary packages (\fI.deb\fR files).
 .TP
 .B \-\-indepdeb
-Select architecture-independent binary packages (.deb files).
+Select architecture-independent binary packages (\fI.deb\fR files).
 .TP
 .B \-\-deb
-Select binary packages (.deb files). Implies \-\-archdeb and \-\-indepdeb.
+Select binary packages (\fI.deb\fR files). Implies \fB\-\-archdeb\fR and \fB\-\-indepdeb\fR.
 .TP
 .B \-\-archudeb
-Select architecture-dependent udeb binary packages.
+Select architecture-dependent \fI.udeb\fR binary packages.
 .TP
 .B \-\-indepudeb
-Select architecture-independent udeb binary packages.
+Select architecture-independent \fI.udeb\fR binary packages.
 .TP
 .B \-\-udeb
-Select udeb binary packages. Implies \-\-archudeb and \-\-indepudeb.
+Select \fI.udeb\fR binary packages. Implies \fB\-\-archudeb\fR and \fB\-\-indepudeb\fR.
 .TP
-.B \-\-tar, \-\-orig
-Select the tar file.
+.BR \-\-tar ,\  \-\-orig
+Select the \fI.tar\fR file.
 .TP
 .B \-\-diff
-Select the Debian diff file.
+Select the Debian \fI.diff\fR file.
 .PP
 Each option may be prefixed by \fB\-\-no\fR to indicate that all files
 \fInot\fR matching the specification should be selected.
 .PP
-It is not possible to combine positive filtering options (e.g. \-\-dsc)
-and negative filtering options (e.g. \-\-no\-changes) in the same
+It is not possible to combine positive filtering options (e.g. \fB\-\-dsc\fR)
+and negative filtering options (e.g. \fB\-\-no\-changes\fR) in the same
 \fBdcmd\fR invocation.
 .TP
 .B \-\-no\-fail\-on\-missing\fR, \fB\-r
diff --git a/scripts/deb-reversion.dbk b/scripts/deb-reversion.dbk
index 6ff54fc..793b60e 100644
--- a/scripts/deb-reversion.dbk
+++ b/scripts/deb-reversion.dbk
@@ -64,7 +64,7 @@ and docbook-xsl in your Build-Depends control field.
   <refnamediv>
     <refname>&dhcommand;</refname>
 
-    <refpurpose>simple script to change the version of a .deb file.</refpurpose>
+    <refpurpose>simple script to change the version of a .deb file</refpurpose>
   </refnamediv>
 
   <refsynopsisdiv>
@@ -82,10 +82,10 @@ and docbook-xsl in your Build-Depends control field.
     <title>DESCRIPTION</title>
 
     <para>
-      &dhcommand; unpacks the specified .deb file, changes the version
+      <command>&dhcommand;</command> unpacks the specified <filename>.deb</filename> file, changes the version
       number in the relevant locations, appends a Debian
       <filename>changelog</filename> entry with the specified
-      contents, and creates a new .deb file with the updated version.
+      contents, and creates a new <filename>.deb</filename> file with the updated version.
     </para>
 
     <para>
@@ -100,9 +100,9 @@ and docbook-xsl in your Build-Depends control field.
     </para>
 
     <para>
-      When building a .deb file, root privileges are required in order
+      When building a <filename>.deb</filename> file, root privileges are required in order
       to have the correct permissions and ownerships in the resulting
-      .deb file.  This can be achieved either by running
+      <filename>.deb</filename> file.  This can be achieved either by running
       <command>&dhcommand;</command> as root or running under
       <citerefentry><refentrytitle>fakeroot</refentrytitle>
 	<manvolnum>1</manvolnum></citerefentry>, as 'fakeroot
@@ -147,8 +147,8 @@ and docbook-xsl in your Build-Depends control field.
 	<listitem>
 	  <para>
             Specifies the version number to be used as the old
-            version instead of the version stored in the .deb's
-            control file.
+	    version instead of the version stored in the <filename>.deb</filename>'s
+	    <filename>control</filename> file.
           </para>
 	</listitem>
       </varlistentry>
@@ -159,7 +159,7 @@ and docbook-xsl in your Build-Depends control field.
 	<listitem>
 	  <para>
             Only calculate and display the new version number which
-            would be used; do not build a new .deb file.  Cannot be
+	    would be used; do not build a new <filename>.deb</filename> file.  Cannot be
             used in conjunction with <option>-v</option>.
           </para>
 	</listitem>
@@ -182,8 +182,8 @@ and docbook-xsl in your Build-Depends control field.
 	<term><option>--hook</option> <replaceable class="parameter">hook-command</replaceable></term>
 	<listitem>
 	  <para>
-            A hook command to run after unpacking the old .deb file and
-            modifying the changelog, and before packing up the new .deb
+            A hook command to run after unpacking the old <filename>.deb</filename> file and
+	    modifying the <filename>changelog</filename>, and before packing up the new <filename>.deb</filename>
             file.  Must be in quotes if it is more than one (shell)
             word.  Only one hook command may be specified; if you want
             to perform more than this, you could specify 'bash' as the
diff --git a/scripts/debc.1 b/scripts/debc.1
index 01c9678..274cb0d 100644
--- a/scripts/debc.1
+++ b/scripts/debc.1
@@ -5,7 +5,7 @@ debc \- view contents of a generated Debian package
 \fBdebc\fP [\fIoptions\fR] [\fIchanges file\fR] [\fIpackage\fR ...]
 .SH DESCRIPTION
 \fBdebc\fR figures out the current version of a package and displays
-information about the .deb and .udeb files which have been generated
+information about the \fI.deb\fR and \fI.udeb\fR files which have been generated
 in the current build process.  If a \fI.changes\fR file is specified
 on the command line, the filename must end with \fI.changes\fR, as
 this is how the program distinguishes it from package names.  If not,
diff --git a/scripts/debcommit.pl b/scripts/debcommit.pl
index 0a853ad..684928a 100755
--- a/scripts/debcommit.pl
+++ b/scripts/debcommit.pl
@@ -36,7 +36,7 @@ repository.
 
 =item B<-R>, B<--release-use-changelog>
 
-When used in conjunction with --release, if there are uncommited
+When used in conjunction with B<--release>, if there are uncommited
 changes to the changelog then derive the commit message from those
 changes rather than using the default message.
 
@@ -108,17 +108,17 @@ ignored for this purpose.  The currently recognised variables are:
 
 =item B<DEBCOMMIT_STRIP_MESSAGE>
 
-If this is set to I<no>, then it is the same as the --no-strip-message
+If this is set to I<no>, then it is the same as the B<--no-strip-message>
 command line parameter being used. The default is I<yes>.
 
 =item B<DEBCOMMIT_SIGN_TAGS>
 
-If this is set to I<yes>, then it is the same as the --sign-tags command
+If this is set to I<yes>, then it is the same as the B<--sign-tags> command
 line parameter being used. The default is I<no>.
 
 =item B<DEBCOMMIT_RELEASE_USE_CHANGELOG>
 
-If this is set to I<yes>, then it is the same as the --release-use-changelog
+If this is set to I<yes>, then it is the same as the B<--release-use-changelog>
 command line parameter being used. The default is I<no>.
 
 =item B<DEBSIGN_KEYID>
@@ -148,7 +148,7 @@ has been automatically determined from the changelog.
 =item B<git>
 
 If only a single change is detected in the changelog, B<debcommit> will unfold
-it to a single line and behave as if --strip-message was used.
+it to a single line and behave as if B<--strip-message> was used.
 
 Otherwise, the first change will be unfolded and stripped to form a summary line
 and a commit message formed using the summary line followed by a blank line and
@@ -163,7 +163,7 @@ allow the message to be fine-tuned.
 
 =item B<bzr>
 
-If the changelog entry used for the commit message closes any bugs then --fixes
+If the changelog entry used for the commit message closes any bugs then B<--fixes>
 options to "bzr commit" will be generated to associate the revision and the bugs.
 
 =back
diff --git a/scripts/debrelease.1 b/scripts/debrelease.1
index 01a5d39..48d0f4a 100644
--- a/scripts/debrelease.1
+++ b/scripts/debrelease.1
@@ -74,10 +74,10 @@ taken to be the \fBdupload\fR host-specifying option, and therefore
 signifies the end of the \fBdebrelease\fR-specific options.
 .TP
 \fB\-\-multi\fR
-Multiarch changes mode: This signifies that \fBdebrelease\fR should
+Multiarch \fI.changes\fR mode: This signifies that \fBdebrelease\fR should
 use the most recent file with the name pattern
-\fIpackage_version_*+*.changes\fR as the changes file, allowing for the
-changes files produced by \fBdpkg-cross\fR.
+\fIpackage_version_*+*.changes\fR as the \fI.changes\fR file, allowing for the
+\fI.changes\fR files produced by \fBdpkg-cross\fR.
 .TP
 \fB\-\-debs\-dir\fR \fIdirectory\fR
 Look for the \fI.changes\fR and \fI.deb\fR files in \fIdirectory\fR
diff --git a/scripts/debrsign.1 b/scripts/debrsign.1
index 5f6ccf9..b4eacae 100644
--- a/scripts/debrsign.1
+++ b/scripts/debrsign.1
@@ -1,6 +1,6 @@
 .TH DEBRSIGN 1 "Debian Utilities" "DEBIAN" \" -*- nroff -*-
 .SH NAME
-debrsign \- remotely sign a Debian changes and dsc file pair using SSH
+debrsign \- remotely sign a Debian .changes and .dsc file pair using SSH
 .SH SYNOPSIS
 \fBdebrsign\fR [\fIoptions\fR] [\fIuser\fB@\fR]\fIremotehost\fR
 [\fIchanges-file\fR|\fIdsc-file\fR]
@@ -31,7 +31,7 @@ program, which can do this task.
 .TP
 \fB\-S\fR
 Look for a source-only \fI.changes\fR file instead of a binary-build
-changes file.
+\fI.changes\fR file.
 .TP
 \fB\-a\fIdebian-architecture\fR, \fB\-t\fIGNU-system-type\fR
 See \fBdpkg-architecture\fR(1) for a description of these options.
@@ -40,10 +40,10 @@ to mimic the behaviour of \fBdpkg-buildpackage\fR when determining the
 name of the \fI.changes\fR file.
 .TP
 \fB\-\-multi\fR
-Multiarch changes mode: This signifies that \fBdebrsign\fR should
+Multiarch \fI.changes\fR mode: This signifies that \fBdebrsign\fR should
 use the most recent file with the name pattern
-\fIpackage_version_*+*.changes\fR as the changes file, allowing for the
-changes files produced by \fBdpkg-cross\fR.
+\fIpackage_version_*+*.changes\fR as the \fI.changes\fR file, allowing for the
+\fI.changes\fR files produced by \fBdpkg-cross\fR.
 .TP
 \fB\-\-path \fIremote-path\fR
 Specify a path to the GPG binary on the remote host.
diff --git a/scripts/debsign.1 b/scripts/debsign.1
index 7934b65..c6d1c50 100644
--- a/scripts/debsign.1
+++ b/scripts/debsign.1
@@ -1,6 +1,6 @@
 .TH DEBSIGN 1 "Debian Utilities" "DEBIAN" \" -*- nroff -*-
 .SH NAME
-debsign \- sign a Debian changes and dsc file pair using GPG
+debsign \- sign a Debian .changes and .dsc file pair using GPG
 .SH SYNOPSIS
 \fBdebsign\fR [\fIoptions\fR] [\fIchanges-file\fR|\fIdsc-file\fR|\fIcommands-file\fR ...]
 .SH DESCRIPTION
@@ -68,7 +68,7 @@ and \fB\-e\fR options.
 .TP
 \fB\-S\fR
 Look for a source-only \fI.changes\fR file instead of a binary-build
-changes file.
+\fI.changes\fR file.
 .TP
 \fB\-a\fIdebian-architecture\fR, \fB\-t\fIGNU-system-type\fR
 See \fBdpkg-architecture\fR(1) for a description of these options.
@@ -77,10 +77,10 @@ to mimic the behaviour of \fBdpkg-buildpackage\fR when determining the
 name of the \fI.changes\fR file.
 .TP
 \fB\-\-multi\fR
-Multiarch changes mode: This signifies that \fBdebsign\fR should
+Multiarch \fI.changes\fR mode: This signifies that \fBdebsign\fR should
 use the most recent file with the name pattern
-\fIpackage_version_*+*.changes\fR as the changes file, allowing for the
-changes files produced by \fBdpkg-cross\fR.
+\fIpackage_version_*+*.changes\fR as the \fI.changes\fR file, allowing for the
+\fI.changes\fR files produced by \fBdpkg-cross\fR.
 .TP
 \fB\-\-re\-sign\fR, \fB\-\-no\-re\-sign\fR
 Recreate signature, respectively use the existing signature, if the
diff --git a/scripts/dget.pl b/scripts/dget.pl
index 56e1581..ed5cd60 100755
--- a/scripts/dget.pl
+++ b/scripts/dget.pl
@@ -658,7 +658,7 @@ packages.  Default is 'yes'.
 
 =head1 EXAMPLES
 
-Download all .deb files for the previous version of a package and run debdiff
+Download all I<.deb> files for the previous version of a package and run B<debdiff>
 on them:
 
   dget --all mypackage=1.2-1
diff --git a/scripts/mk-build-deps.pl b/scripts/mk-build-deps.pl
index 7b5d2d4..29d1018 100755
--- a/scripts/mk-build-deps.pl
+++ b/scripts/mk-build-deps.pl
@@ -52,7 +52,7 @@ Install the generated packages and its build-dependencies.
 =item B<-t>, B<--tool>
 
 When installing the generated package use the specified tool.
-(default: apt-get --no-install-recommends)
+(default: B<apt-get --no-install-recommends>)
 
 =item B<-r>, B<--remove>
 
diff --git a/scripts/tagpending.pl b/scripts/tagpending.pl
index 602df44..43a6164 100755
--- a/scripts/tagpending.pl
+++ b/scripts/tagpending.pl
@@ -135,7 +135,7 @@ Equivalent to B<dpkg-parsechangelog>'s B<-v> option.
 =item B<-i>, B<--interactive>
 
 Display the message which would be sent to the BTS and, except when
---noact was used, prompt for confirmation before sending it.
+B<--noact> was used, prompt for confirmation before sending it.
 
 =item B<-w>, B<--wnpp>
 
diff --git a/scripts/who-permits-upload.pl b/scripts/who-permits-upload.pl
index c63e436..207e567 100755
--- a/scripts/who-permits-upload.pl
+++ b/scripts/who-permits-upload.pl
@@ -57,16 +57,16 @@ search by DM name, sponsor (the person granted the permission) and by package.
 
 =over 4
 
-=item B<--dmfile=>I<url>, B<-d> I<url>
+=item B<--dmfile=>I<dm_url>, B<-d> I<dm_url>
 
 Retrieve the DM permission file from the supplied URL. When this option is not
 present, the default value I<http://ftp-master.debian.org/dm.txt> is used.
 
 =item B<--help>, B<-h>
 
-Display an usage summary and exit
+Display an usage summary and exit.
 
-=item B<--keyring=>I<file>, B<-s> I<file>
+=item B<--keyring=>I<keyring>, B<-s> I<keyring>
 
 Use the supplied GnuPG keyrings to look-up GPG fingerprints from the DM permission
 file. When not present, the default Debian Developer and Maintainer keyrings are used
@@ -83,18 +83,18 @@ interpretation of the I<query> argument. Supported search types are:
 
 =over 4
 
-=item I<package>
+=item B<package>
 
 Search for a source package name. This is also the default when B<--search> is omitted.
 Since package names are unique, this will return given ACLs - if any - for a
 single package.
 
-=item I<uid>
+=item B<uid>
 
 Search for a Debian Maintainer. This should be (a fraction of) a name. It will
 return all ACLs assigned to matching maintainers.
 
-=item I<sponsor>
+=item B<sponsor>
 
 Search for a sponsor (i.e. a Debian Developer) who granted DM permissions. This
 will return all ACLs given by the supplied developer.
@@ -160,7 +160,7 @@ under the terms of the General Public License (GPL) version 2 or later.
 
 =head1 SEE ALSO
 
-B<who-uploads>(1), B<gpg>(1)
+B<gpg>(1), B<who-uploads>(1)
 
 S<I<https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html>>
 
-- 
1.7.10.4

